org.apache.lucene.geo

## Class SimpleWKTShapeParser

- java.lang.Object
- - org.apache.lucene.geo.SimpleWKTShapeParser

-     public class SimpleWKTShapeParser
      extends Object

  Parses shape geometry represented in WKT format complies with OGC® document: 12-063r5 and ISO/IEC 13249-3:2016 standard located at http://docs.opengeospatial.org/is/12-063r5/12-063r5.html

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimpleWKTShapeParser.ShapeType` Enumerated type for Shapes

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMA`
    `static String` | `EMPTY`
    `static String` | `LPAREN`
    `static String` | `NAN`
    `static String` | `RPAREN`
    `static String` | `SPACE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `parse(String wkt)`
    `static Object` | `parseExpectedType(String wkt, SimpleWKTShapeParser.ShapeType shapeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final String EMPTY

      See Also:
        Constant Field Values

    - #### SPACE

          public static final String SPACE

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final String LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final String RPAREN

      See Also:
        Constant Field Values

    - #### COMMA

          public static final String COMMA

      See Also:
        Constant Field Values

    - #### NAN

          public static final String NAN

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### parse

          public static Object parse(String wkt)
                              throws IOException,
                                     ParseException

      Throws:
        `IOException`
        `ParseException`

    - #### parseExpectedType

          public static Object parseExpectedType(String wkt,
                                                 SimpleWKTShapeParser.ShapeType shapeType)
                                          throws IOException,
                                                 ParseException

      Throws:
        `IOException`
        `ParseException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.